libpagemaker Namespace Reference documentation

Classes | Typedefs | Functions | Variables
libpagemaker Namespace Reference

## Classes
struct | CorruptRecordException
struct | EmptyLineSetException
struct | EndOfStreamException
struct | GenericException
class | LengthUnit
class | OutputShape
class | PMDBitmap
struct | PMDCharProperties
class | PMDCollector
| Builder class for PMD Documents. More...
struct | PMDColor
struct | PMDDummyDeleter
class | PMDEllipse
struct | PMDFillProperties
struct | PMDFont
class | PMDLine
class | PMDLineSet
class | PMDPage
struct | PMDParaProperties
struct | PMDParseException
class | PMDParser
class | PMDPolygon
struct | PMDRecordContainer
class | PMDRectangle
struct | PMDStreamException
struct | PMDStrokeProperties
class | PMDTextBox
struct | PMDXForm
struct | Point
struct | RecordNotFoundException
class | TransformationMatrix
struct | UnknownRecordSizeException

## Typedefs
typedef Point< PMDShapeUnit > | PMDShapePoint
typedef Point< double > | InchPoint
typedef librevenge::RVNGInputStream * | RVNGInputStreamPtr
typedef LengthUnit< SHAPE_UNITS_PER_INCH > | PMDShapeUnit

## Functions
std::pair< InchPoint, InchPoint > | getBoundingBox (const PMDLineSet &lineSet, const TransformationMatrix &matrix)
uint8_t | readU8 (const RVNGInputStreamPtr &input, bool)
int8_t | readS8 (const RVNGInputStreamPtr &input, bool)
uint16_t | readU16 (const RVNGInputStreamPtr &input, bool bigEndian)
int16_t | readS16 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint32_t | readU32 (const RVNGInputStreamPtr &input, bool bigEndian)
int32_t | readS32 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint64_t | readU64 (const RVNGInputStreamPtr &input, bool bigEndian)
int64_t | readS64 (const RVNGInputStreamPtr &input, const bool bigEndian)
const unsigned char * | readNBytes (const RVNGInputStreamPtr &input, const unsigned long numBytes)
void | skip (const RVNGInputStreamPtr &input, unsigned long numBytes)
void | seek (const RVNGInputStreamPtr &input, const unsigned long pos)
void | seekRelative (const RVNGInputStreamPtr &input, const long pos)
unsigned long | getLength (const RVNGInputStreamPtr &input)
std::shared_ptr< OutputShape > | newOutputShape (const std::shared_ptr< const PMDLineSet > &lineSet, const InchPoint &translate)
void | seekToRecord (librevenge::RVNGInputStream *const input, const PMDRecordContainer &container, const unsigned recordIndex)
PMDShapePoint | readPoint (librevenge::RVNGInputStream *const input, const bool bigEndian)
boost::optional< unsigned > | getRecordSize (uint16_t recType)
template<unsigned PER_INCH>
const LengthUnit< PER_INCH > | operator+ (LengthUnit< PER_INCH > left, LengthUnit< PER_INCH > right)
template<unsigned PER_INCH>
const LengthUnit< PER_INCH > | operator* (LengthUnit< PER_INCH > left, int right)
template<unsigned PER_INCH>
const LengthUnit< PER_INCH > | operator* (int left, LengthUnit< PER_INCH > right)
template<unsigned PER_INCH>
const LengthUnit< PER_INCH > | operator- (LengthUnit< PER_INCH > left, LengthUnit< PER_INCH > right)

## Variables
static const double | EM2PT = 11.95516799999881
const unsigned | SHAPE_UNITS_PER_INCH = 1440

## Typedef Documentation

## ◆ InchPoint

typedef Point<double> libpagemaker::InchPoint

## ◆ PMDShapePoint

typedef Point<PMDShapeUnit> libpagemaker::PMDShapePoint

## ◆ PMDShapeUnit

typedef LengthUnit<SHAPE_UNITS_PER_INCH> libpagemaker::PMDShapeUnit

## ◆ RVNGInputStreamPtr

typedef librevenge::RVNGInputStream* libpagemaker::RVNGInputStreamPtr

## Function Documentation

## ◆ getBoundingBox()

std::pair< libpagemaker::InchPoint, libpagemaker::InchPoint > libpagemaker::getBoundingBox | ( | const PMDLineSet & | lineSet,
|  | const TransformationMatrix & | matrix
| ) |  |

Referenced by libpagemaker::TransformationMatrix::transform().

## ◆ getLength()

unsigned long libpagemaker::getLength | ( | const RVNGInputStreamPtr & | input | ) |

Referenced by libpagemaker::PMDDummyDeleter::operator()().

## ◆ getRecordSize()

boost::optional<unsigned> libpagemaker::getRecordSize | ( | uint16_t | recType | ) |
| inline

Referenced by seekToRecord().

## ◆ newOutputShape()

std::shared_ptr< libpagemaker::OutputShape > libpagemaker::newOutputShape | ( | const std::shared_ptr< const PMDLineSet > & | lineSet,
|  | const InchPoint & | translate
| ) |  |

Referenced by libpagemaker::PMDCollector::fillOutputShapesByPage_OneSided(), libpagemaker::PMDCollector::fillOutputShapesByPage_TwoSided(), and libpagemaker::OutputShape::getHeight().

## ◆ operator*() [1/2]

template<unsigned PER_INCH>

const LengthUnit<PER_INCH> libpagemaker::operator* | ( | LengthUnit< PER_INCH > | left,
|  | int | right
| ) |  |

## ◆ operator*() [2/2]

template<unsigned PER_INCH>

const LengthUnit<PER_INCH> libpagemaker::operator* | ( | int | left,
|  | LengthUnit< PER_INCH > | right
| ) |  |

## ◆ operator+()

template<unsigned PER_INCH>

const LengthUnit<PER_INCH> libpagemaker::operator+ | ( | LengthUnit< PER_INCH > | left,
|  | LengthUnit< PER_INCH > | right
| ) |  |

## ◆ operator-()

template<unsigned PER_INCH>

const LengthUnit<PER_INCH> libpagemaker::operator- | ( | LengthUnit< PER_INCH > | left,
|  | LengthUnit< PER_INCH > | right
| ) |  |

## ◆ readNBytes()

const unsigned char * libpagemaker::readNBytes | ( | const RVNGInputStreamPtr & | input,
|  | const unsigned long | numBytes
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), and libpagemaker::PMDParser::parseBitmap().

## ◆ readPoint()

PMDShapePoint libpagemaker::readPoint | ( | librevenge::RVNGInputStream *const | input,
|  | const bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseTextBox(), and libpagemaker::PMDParser::parseXforms().

## ◆ readS16()

int16_t libpagemaker::readS16 | ( | const RVNGInputStreamPtr & | input,
|  | const bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseTextBox(), and readPoint().

## ◆ readS32()

int32_t libpagemaker::readS32 | ( | const RVNGInputStreamPtr & | input,
|  | const bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()().

## ◆ readS64()

int64_t libpagemaker::readS64 | ( | const RVNGInputStreamPtr & | input,
|  | const bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()().

## ◆ readS8()

int8_t libpagemaker::readS8 | ( | const RVNGInputStreamPtr & | input,
|  | bool |
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()().

## ◆ readU16()

uint16_t libpagemaker::readU16 | ( | const RVNGInputStreamPtr & | input,
|  | bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseHeader(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePages(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseTextBox(), libpagemaker::PMDParser::readNextRecordFromTableOfContents(), and readS16().

## ◆ readU32()

uint32_t libpagemaker::readU32 | ( | const RVNGInputStreamPtr & | input,
|  | bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseHeader(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseTextBox(), libpagemaker::PMDParser::parseXforms(), libpagemaker::PMDParser::readNextRecordFromTableOfContents(), and readS32().

## ◆ readU64()

uint64_t libpagemaker::readU64 | ( | const RVNGInputStreamPtr & | input,
|  | bool | bigEndian
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), and readS64().

## ◆ readU8()

uint8_t libpagemaker::readU8 | ( | const RVNGInputStreamPtr & | input,
|  | bool |
| ) |  |

Referenced by getLength(), libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseFonts(), libpagemaker::PMDParser::parseGlobalInfo(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseShapes(), libpagemaker::PMDParser::parseTextBox(), libpagemaker::PMDParser::readNextRecordFromTableOfContents(), and readS8().

## ◆ seek()

void libpagemaker::seek | ( | const RVNGInputStreamPtr & | input,
|  | const unsigned long | pos
| ) |  |

Referenced by getLength(), libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseHeader(), libpagemaker::PMDParser::readTableOfContents(), and seekToRecord().

## ◆ seekRelative()

void libpagemaker::seekRelative | ( | const RVNGInputStreamPtr & | input,
|  | const long | pos
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), and skip().

## ◆ seekToRecord()

void libpagemaker::seekToRecord | ( | librevenge::RVNGInputStream *const | input,
|  | const PMDRecordContainer & | container,
|  | const unsigned | recordIndex
| ) |  |

Referenced by libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseFonts(), libpagemaker::PMDParser::parseGlobalInfo(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePages(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseShapes(), libpagemaker::PMDParser::parseTextBox(), and libpagemaker::PMDParser::parseXforms().

## ◆ skip()

void libpagemaker::skip | ( | const RVNGInputStreamPtr & | input,
|  | unsigned long | numBytes
| ) |  |

Referenced by libpagemaker::PMDDummyDeleter::operator()(), libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseGlobalInfo(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePages(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseRectangle(), libpagemaker::PMDParser::parseTextBox(), libpagemaker::PMDParser::parseXforms(), and libpagemaker::PMDParser::readNextRecordFromTableOfContents().

## Variable Documentation

## ◆ EM2PT

const double libpagemaker::EM2PT = 11.95516799999881
| static

## ◆ SHAPE_UNITS_PER_INCH

const unsigned libpagemaker::SHAPE_UNITS_PER_INCH = 1440

Referenced by libpagemaker::PMDCollector::paintShape().